Subject: bug#73500: eglot: diagnostic location not always shown

From: João Távora <[email-masked]>
Date: Sat, 28 Sep 2024 12:47:25 +0100

I would expect a 1-character long underline for the first one too.

There might be a off-by-one error somewhere, but I doubt it.  I just
tried with clangd a a diagnostic like this:

{"code":"unknown_typename","message":"Unknown type name 'a'",
 "range":{"end":{"character":1,"line":34},"start":{"character":0,"line":34}},
 "severity":1,"source":"clang"}

gets its own small underline.

So, maybe look closer and if you still don't see it, follow the steps in

https://joaotavora.github.io/eglot/#Reporting-bugs

and construct a full error recipe so that we can (not) see it, too.

João